#encoding:utf-8
from django.conf.urls import patterns, include, url
from expediente.views import index, validarView, login_, logout_user, verificarMenor,verificarTutor,consultarMunicipio,consultarLocalidad,perfil
from diagnostico.views import *
from django.conf import settings
# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'albergue.views.home', name='home'),
    # url(r'^albergue/', include('albergue.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^caronte/', include(admin.site.urls)),
    url(r'^login/$', login_),
    # raiz dirige a formulario de acceso
    url(r'^$', login_),
    # cierre de sesion
    url(r'^logout_user/', logout_user),
    # valida usuario y contraseña con la base de datos
    url(r'^validar/$', validarView),

    url(r'^perfil/(?P<user_id>\d+)', perfil),
    url(r'^perfil/chpasswd/done/?', 'django.contrib.auth.views.password_change_done', {'template_name':'registration/password_change_done.html'}),
    url(r'^perfil/chpasswd/?', 'django.contrib.auth.views.password_change' , {'template_name':'registration/password_change_form.html'}),

     #url para verificar menor via ajx
    url(r'^verificarMenor/', verificarMenor),
    url(r'^verificarTutor/', verificarTutor),
    url(r'^consultarMunicipio/', consultarMunicipio),
    url(r'^consultarLocalidad/', consultarLocalidad),
    
    # pagina prncipal
    url(r'^index/$', index),
    url(r'^expediente/', include('expediente.urls', namespace='expediente')),
    url(r'^diagnostico/', include('diagnostico.urls', namespace='diagnostico')),
    url(r'^revisa/', include('revisa.urls', namespace='revisa'))
)
if settings.DEBUG:        
# static files (images, css, javascript, etc.)
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', 'django.views.static.serve', {
        'document_root': settings.MEDIA_ROOT}))
