from django.conf.urls import patterns, include, url
from diagnostico.views import *
from diagnostico import views 
urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'albergue.views.home', name='home'),
    # url(r'^albergue/', include('albergue.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:

    url(r'^principal/$',principal_psicologia),
    url(r'^psicologia/$',ver_psicologia),
    url(r'^(?P<menor_id>\d+)/registropsicologia/',views.diagnostico_psicologia, name="psicologia"),
    url(r'^(?P<menor_id>\d+)/agendar/$',views.agendar_psicologia, name="agendar"),
    url(r'^agenda/$',ver_psicologia_agendado),
    url(r'^atendidospsicologia/$',ver_psicologia_atendidos),
    url(r'^(?P<area_id>\d+)/detalles/$',views.ver_psicologia_detalles, name="psicologia_detalles"),

    url(r'^principal_pedagogia/$',principal_pedagogia),
    url(r'^pedagogia/$',ver_pedagogia),
    url(r'^(?P<menor_id>\d+)/agendarpedagogia/$',views.agendar_pedagogia, name="agendar_pedagogia"),
    url(r'^agenda_pedagogia/$',ver_pedagogia_agendado),
    url(r'^(?P<menor_id>\d+)/registropedagogia/',views.diagnostico_pedagogia, name="pedagogia"),
    url(r'^atendidospedagogia/$',ver_pedagogia_atendidos),
    url(r'^(?P<area_id>\d+)/detalles_pedagogia/$',views.ver_pedagogia_detalles, name="pedagogia_detalles"),

    url(r'^principal_medico/$',principal_medico),
    url(r'^medico/$',ver_medico),
    url(r'^(?P<menor_id>\d+)/agendarmedico/$',views.agendar_medico, name="agendar_medico"),
    url(r'^(?P<id_medico>\d+)/reabrir/$',views.reabrir_diagnostico, name="reabrir"),
    url(r'^agenda_medico/$',ver_medico_agendado),
    url(r'^(?P<menor_id>\d+)/registromedico/',views.diagnostico_medico, name="medico"),
    url(r'^atendidosmedico/$',ver_medico_atendidos),
    url(r'^(?P<area_id>\d+)/detalles_medico/$',views.ver_medico_detalles, name="medico_detalles"),

    url(r'^(?P<area_id>\d+)/addinforme/$',views.add_informe, name="add_informe"),

    url(r'^principal_nutricion/$',principal_nutricion),
    url(r'^nutricion/$',ver_nutricion),
    url(r'^(?P<menor_id>\d+)/agendarnutricion/$',views.agendar_nutricion, name="agendar_nutricion"),
    url(r'^agenda_nutricion/$',ver_nutricion_agendado),
    url(r'^(?P<menor_id>\d+)/registronutricion/',views.diagnostico_nutricion, name="nutricion"),
    url(r'^atendidosnutricion/$',ver_nutricion_atendidos),
    url(r'^(?P<area_id>\d+)/detalles_nutricion/$',views.ver_nutricion_detalles, name="nutricion_detalles"),

    url(r'^principal_juridico/$',principal_juridico),
    url(r'^juridico/$',ver_juridico),
    url(r'^(?P<menor_id>\d+)/agendarjuridico/$',views.agendar_juridico, name="agendar_juridico"),
    url(r'^agenda_juridico/$',ver_juridico_agendado),
    url(r'^(?P<menor_id>\d+)/registrojuridico/$',views.diagnostico_juridico, name="juridico"),
    url(r'^atendidosjuridico/$',ver_juridico_atendidos),
    url(r'^(?P<area_id>\d+)/detalles_juridico/$',views.ver_juridico_detalles, name="juridico_detalles"),

    url(r'^principal_social/$',principal_social),
    url(r'^social/$',ver_social),
    url(r'^(?P<menor_id>\d+)/agendarsocial/$',views.agendar_social, name="agendar_social"),
    url(r'^agenda_social/$',ver_social_agendado),
    url(r'^(?P<menor_id>\d+)/registrosocial/',views.diagnostico_social, name="social"),
    url(r'^atendidossocial/$',ver_social_atendidos),
    url(r'^(?P<area_id>\d+)/detalles_social/$',views.ver_social_detalles, name="social_detalles"),
    


)
