
from django.conf.urls import patterns, include, url
from expediente.views import *
from expediente import views 
urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'albergue.views.home', name='home'),
    # url(r'^albergue/', include('albergue.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^pre/', pre_registro),
    # url(r'^movimiento/', registra_movimientos),
    url(r'^(?P<menor_id>\d+)/existe/$',views.menor_existe, name="existe"),
    url(r'^expediente/', crea_expediente),
    url(r'^(?P<movimiento_id>\d+)/crea_expediente/$', views.crea_expediente, name="expediente"),
    url(r'^(?P<menor_id>\d+)/datosmenor/$', views.muestra_datos_menor, name="datosmenor"),
    url(r'^(?P<menor_id>\d+)/datosmenorex/$', views.muestra_datos_expedientes, name="datosmenorex"),
	url(r'^(?P<menor_id>\d+)/editar/$',views.editar_menor, name="editar"),



    url(r'^(?P<menor_id>\d+)/familiar/$', views.registra_familiar,name="familiar"),
    url(r'^(?P<menor_id>\d+)/ausencia/', views.no_familiares, name="ausencia"),
    url(r'^(?P<menor_id>\d+)/familia/$', views.ver_familiares, name="familiares"),
    url(r'^(?P<menor_id>\d+)/documentos/', views.ver_documentos_menor, name="documentos"),
    url(r'^(?P<id_menor>\d+)/canaliza/$',views.registra_canalizacion,name="registra_canalizacion"),
    url(r'^(?P<familiar_id>\d+)/docfamiliar/',views.registra_doc_familiar, name="doc_familiar"),
 
    url(r'^(?P<expediente_id>\d+)/docmenor2/$',views.registra_doc_menor2, name="docmenor2"),
    url(r'^menorpre/',lista_preingresos),
    url(r'^listamenores/$',ver_menores_trabajosocial),
    url(r'^(?P<menor_id>\d+)/historial/',views.historial_menor , name="historial"),


    url(r'^(?P<menor_id>\d+)/foto/$',views.sube_foto, name="foto"),#Departamento operativo
    url(r'^menoresfoto/$',ver_menores_foto),
    url(r'^subida/$',ver_foto_subida),
    url(r'^(?P<menor_id>\d+)/editar/$',views.edita_foto, name="foto_edita"),
    url(r'^(?P<expediente_id>\d+)/eliminar/$',views.elimina_foto, name="foto_elimina"),



    url(r'^menorescanaliza/$',ver_menores_canalizar),
    url(r'^ultimascanaliza/$',ultimas_canalizaciones),


    #url para agregar catalogo de parentesco
    url(r'^addParentesco/', addParentesco),
    url(r'^updateParentesco/',updateParentesco),
    url(r'^cambiarParentesco/(?P<parentesco_id>\d+)', cambiarParentesco),
    url(r'^addDocumentos/',addDocumentos),
    url(r'^consultarDocumentos/',consultarDocumentos),
    url(r'^cambiarDocumento/(?P<documento_id>\d+)', cambiarDocumento),

   

    url(r'^registrarEmpleado/',registrarEmpleado),
    url(r'^capturarOrganismos/',capturarOrganismos),
    url(r'^consultarOrganismos/',consultarOrganismos),
    url(r'^cambiarOrganismo/(?P<organismo_id>\d+)', cambiarOrganismos),
    url(r'^capturarAreas/',capturarAreas),
    url(r'^consultarAreas/',consultarAreas),
    url(r'^cambiarArea/(?P<area_id>\d+)', cambiarArea),
    url(r'^consultarMenor/(?P<canaliza_id>\d+)', consultarMenor),
    url(r'^mostrarMenorEgresar/(?P<expediente_id>\d+)', mostrarMenorEgresar),


    url(r'^(?P<expediente_id>\d+)/evasionregreso/$',views.movimiento_evasion_regreso, name="regreso"),
    url(r'^(?P<expediente_id>\d+)/evasion/$',views.movimiento_evasion, name="evasion"),
    url(r'^listaevasion/$',views.lista_evasion),
    url(r'^evadir/$',views.ver_menores_evadir),
    


)

